## pulseaudio 15.99.1+dfsg1

=== meson_options.txt ===
option('daemon',
       type : 'boolean', value : true,
       description : 'Enable building and installation of pulseaudio daemon and supporting configuration files')
option('client',
       type : 'boolean', value : true,
       description : 'Build and install pulseaudio client libraries and utilities')
option('doxygen',
       type : 'boolean', value : true,
       description : 'Enable building and installation of documentation generated with doxygen')
option('gcov',
       type : 'boolean', value : false,
       description : 'Enable optional gcov coverage analysis')
option('man',
       type : 'boolean',
       description : 'Enable building and installation of man pages')
option('tests',
       type : 'boolean',
       description : 'Enable unit tests')

option('system_user',
        type : 'string', value : 'pulse',
        description : 'User for running the PulseAudio daemon as a system-wide instance (pulse)')
option('system_group',
        type : 'string', value : 'pulse',
        description : 'Group for running the PulseAudio daemon as a system-wide instance (pulse)')
option('access_group',
        type : 'string', value : 'pulse-access',
        description : 'Group which is allowed access to a system-wide PulseAudio daemon (pulse-access)')
option('database',
        type : 'combo', value : 'tdb',
        choices : [ 'gdbm', 'tdb', 'simple' ],
        description : 'Database backend')
option('legacy-database-entry-format',
       type : 'boolean',
       description : 'Try to load legacy (< 1.0) database files (card, device and volume restore)')
option('stream-restore-clear-old-devices',
       type : 'boolean', value : false,
       description : 'Forget per-stream routing settings that have been set before version 14.0. Recommended when using GNOME. See https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/832')
option('running-from-build-tree',
       type : 'boolean',
       description : 'Enable running from build tree')
option('atomic-arm-linux-helpers',
       type : 'boolean', value : true,
       description : 'Use inline asm or libatomic_ops instead')
option('atomic-arm-memory-barrier',
       type : 'boolean', value : false,
       description : 'Enable memory barriers (only really needed in SMP arm systems)')

# Paths

option('padsplibdir',
       type : 'string',
       description : 'Specify location where OSS wrapper library will be installed')
# This one gets inserted into a shell double-quoted string, so needs to be escaped (\$LIB). Meson
# removes a layer of escapes when parsing the description string, so we need to double the
# backslashes for "meson configure" to display the right text.
option('pulsedsp-location',
       type : 'string',
       description : 'Specify location where OSS wrapper library will be loaded from; can use \\$LIB')
option('modlibexecdir',
       type : 'string',
       description : 'Specify location where modules will be installed')
option('alsadatadir',
       type : 'string',
       description : 'Directory for ALSA card profiles (defaults to ${datadir}/pulseaudio/alsa-mixer)')
option('systemduserunitdir',
       type : 'string',
       description : 'Directory for systemd user service files')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion scripts ["no" disables]')
option('zshcompletiondir',
       type : 'string',
       description : 'Directory for zsh completion scripts ["no" disables]')

# Optional features

option('alsa',
       type : 'feature', value : 'auto',
       description : 'Optional ALSA support')
option('asyncns',
       type : 'feature', value : 'auto',
       description : 'Optional Async DNS support')
option('avahi',
       type : 'feature', value : 'auto',
       description : 'Optional Avahi support')
option('bluez5',
       type : 'feature', value : 'auto',
       description : 'Optional BlueZ 5 support')
option('bluez5-gstreamer',
       type : 'feature', value: 'auto',
       description : 'Optional BlueZ 5 GStreamer support')
option('bluez5-native-headset',
       type : 'boolean',
       description : 'Optional native headset backend support (BlueZ 5)')
option('bluez5-ofono-headset',
       type : 'boolean',
       description : 'Optional oFono headset backend support (BlueZ 5)')
option('dbus',
       type : 'feature', value : 'auto',
       description : 'Optional D-Bus support')
option('elogind',
       type : 'feature', value : 'auto',
       description : 'Optional elogind support')
option('fftw',
       type : 'feature', value : 'auto',
       description : 'Optional FFTW support')
option('glib',
       type : 'feature', value : 'auto',
       description : 'Optional GLib 2 support')
option('gsettings',
       type : 'feature', value : 'auto',
       description : 'Optional GSettings support')
option('gstreamer',
       type : 'feature', value : 'auto',
       description : 'Optional GStreamer dependency for media-related functionality')
option('gtk',
       type : 'feature', value : 'auto',
       description : 'Optional Gtk+ 3 support')
option('hal-compat',
       type : 'boolean',
       description : 'Optional HAL->udev transition compatibility support (needs udev)')
option('ipv6',
       type : 'boolean',
       description : 'Optional IPv6 support')
option('jack',
       type : 'feature', value : 'auto',
       description : 'Optional JACK support')
option('lirc',
       type : 'feature', value : 'auto',
       description : 'Optional LIRC support')
option('openssl',
       type : 'feature', value : 'auto',
       description : 'Optional OpenSSL support (used for Airtunes/RAOP)')
option('orc',
       type : 'feature', value : 'auto',
       description : 'Optimized Inner Loop Runtime Compiler')
option('oss-output',
       type : 'feature', value : 'auto',
       description : 'Optional OSS output support')
option('samplerate',
       type : 'feature', value : 'disabled',
       description : 'Optional libsamplerate support (DEPRECATED)')
option('soxr',
       type : 'feature', value : 'auto',
       description : 'Optional SoXR support (resampling)')
option('speex',
       type : 'feature', value : 'auto',
       description : 'Optional Speex support (resampling, AEC)')
option('systemd',
       type : 'feature', value : 'auto',
       description : 'Optional systemd support')
option('tcpwrap',
       type : 'feature', value : 'auto',
       description : 'Optional TCP wrappers support')
option('udev',
       type : 'feature', value : 'auto',
       description : 'Optional udev support')
option('valgrind',
       type : 'feature', value : 'auto',
       description : 'Optional Valgrind support')
option('x11',
       type : 'feature', value : 'auto',
       description : 'Optional X11 support')
option('enable-smoother-2',
       type : 'boolean', value : 'true',
       description : 'Use alternative time smoother implementation')

# Echo cancellation

option('adrian-aec',
       type : 'boolean',
       description : 'Optional Adrian\'s echo canceller')
option('webrtc-aec',
       type : 'feature', value : 'auto',
       description : 'Optional WebRTC-based echo canceller')

=== debian/changelog ===
pulseaudio (1:15.99.1+dfsg1-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Feb 2022 22:09:52 +0100

pulseaudio (15.99.1+dfsg1-1) experimental; urgency=medium

  * New upstream candidate
  * d/p/0002-bluetooth-ldac-Fix-RTP-payloading-of-encoded-packet.patch:
    - removed, the fix is in the new version

  [ Diederik de Haas ]
  * Create /etc/pulse/system.pa.d to store additional configuration snippets
    for system.pa (Closes: #994708)

  [ Laurent Bigonville ]
  * Enable gstreamer support.  This is mainly needed to use different codecs
    for Bluetooth headsets (Closes: #991597, #954434)
  * Fix LDAC RTP payloading.  Without this, LDAC is not working with recent
    Sony devices

  [ Debian Janitor ]
  * Remove 5 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13. + debian/rules: Drop --fail-missing
    argument to dh_missing, which is now the default.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Feb 2022 22:03:52 +0100

pulseaudio (1:15.0+dfsg1-1ubuntu6) jammy; urgency=medium

  * debian/control: build-depends on doxygen

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Nov 2021 10:10:01 +0100

pulseaudio (1:15.0+dfsg1-1ubuntu5) jammy; urgency=medium

  * debian/rules:
    - fix a typo in one of the build option

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Nov 2021 09:49:25 +0100

pulseaudio (1:15.0+dfsg1-1ubuntu4) jammy; urgency=medium

  * d/p/0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
    - cherry pick an upstream commit to fix the issue of hdmi can't be
      restored after s3 resume (LP: #1951667)

 -- Hui Wang <hui.wang@canonical.com>  Sat, 20 Nov 2021 11:56:36 +0800

pulseaudio (1:15.0+dfsg1-1ubuntu3) jammy; urgency=medium

  * debian/patches/gitlab_ice_error.patch:
    - cherry pick an upstream candidate fix for a segfault issue in the
      session closing handling (lp: #1942685)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Oct 2021 12:28:32 +0200

pulseaudio (1:15.0+dfsg1-1ubuntu2) impish; urgency=medium

  * debian/control.in:
    - include the Ubuntu epoch in the Replaces version to fix upgrades
      (lp: #1938753)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Aug 2021 10:51:37 +0200

pulseaudio (1:15.0+dfsg1-1ubuntu1) impish; urgency=medium

  * New upstream version resynchronized on Debian
   - Support for bluetooth LDAC and AptX codecs and HFP profiles for
     improved audio quality

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Aug 2021 17:32:10 +0200

pulseaudio (1:14.2-2ubuntu2) impish; urgency=medium

  * d/p/0016-check_off_profile_when_switching_profile.patch
  * d/p/0017-add_dynamic_priority_bonus_base_for_alsa_profiles.patch
    Fix a "Rear Mic" always showing on input list when using dual codec.
    (LP: #1929371)

 -- Jeremy Szu <jeremy.szu@canonical.com>  Tue, 25 May 2021 12:41:39 +0000

pulseaudio (1:14.2-2ubuntu1) impish; urgency=medium

  * Resynchronize with Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 16:50:37 +0200

pulseaudio (1:14.2-1ubuntu1) hirsute; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Jan 2021 12:03:10 +0100

pulseaudio (1:14.1-1ubuntu1) hirsute; urgency=medium

  * New stable version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 16:53:10 +0100

pulseaudio (1:14.0-1ubuntu2) hirsute; urgency=medium

  * d/p/0001-switch-on-port-available-Switch-to-headset-or-mic-on.patch
    - Fix the headset-mic/headphone-mic selection on the machines without
      internal mic (lp: #1908167)

 -- Hui Wang <hui.wang@canonical.com>  Tue, 15 Dec 2020 15:48:42 +0800

pulseaudio (1:14.0-1ubuntu1) hirsute; urgency=medium

  * New stable version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Nov 2020 12:13:01 +0100

pulseaudio (1:13.99.3-1ubuntu2) hirsute; urgency=medium

  * SECURITY UPDATE: don't rely on SCM_CREDENTIALS to detect snap confined
    clients (LP: #1895928)
    - d/p/0409-pa-client-peer-credentials.patch: drop patch
    - d/p/0409-fix-arg-parsing-after-async-hook.patch: remains of old 0409
      patch not related to pa_creds.
    - d/p/0410-pa-client-peer-apparmor-label.patch: new patch, records
      AppArmor label in pa_client struct for native connections using
      aa_getpeercon.
    - d/p/0702-add-snappy-policy-module.patch: use the AppArmor
      label in the pa_client rather than looking it up via the process ID
      from SCM_CREDENTIALS.
    - CVE-2020-16123
   * Don't block classic snaps from module loading/unloading (LP: #1886854)
    - d/p/0702-add-snappy-policy-module.patch: replace
      deny_to_snaps_hook with a version that allows classic snaps.

 -- James Henstridge <james.henstridge@canonical.com>  Mon, 09 Nov 2020 22:43:42 -0500

pulseaudio (1:13.99.3-1ubuntu1) hirsute; urgency=medium

  * Update to the current candidate version (lp: #1902485)
  * debian/patches/git_segfault_fix.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Nov 2020 15:27:10 +0100

=== debian/control ===
Source: pulseaudio
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
    Felipe Sateler <fsateler@debian.org>,
    Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 12),
    meson,
    ninja-build,
    check <!nocheck>,
    desktop-file-utils <!nocheck>,
    dh-exec,
    doxygen,
    dpkg-dev (>= 1.17.14),
    intltool,
    libapparmor-dev [linux-any],
    libasound2-dev [linux-any],
    libasyncns-dev,
    libavahi-client-dev,
    libbluetooth-dev [linux-any] <!stage1>,
    libsbc-dev [linux-any],
    libcap-dev [linux-any],
    libfftw3-dev,
    libglib2.0-dev,
    libgstreamer1.0-dev (>= 1.14),
    libgstreamer-plugins-base1.0-dev,
    libgtk-3-dev,
    libice-dev,
    libjack-dev,
    liblirc-dev,
    libltdl-dev (>= 2.2.6a-2),
    liborc-0.4-dev (>= 1:0.4.11),
    libsamplerate0-dev,
    libsndfile1-dev (>= 1.0.20),
    liblircclient-dev,
    libltdl-dev,
    liborc-0.4-dev,
    libsnapd-glib-dev (>= 1.49),
    libsndfile1-dev,
    libsoxr-dev (>= 0.1.1),
    libspeexdsp-dev (>= 1.2~rc1),
    libssl-dev,
    libsystemd-dev [linux-any],
    libtdb-dev,
    libudev-dev [linux-any],
    libwebrtc-audio-processing-dev (>= 0.2) [linux-any],
    libwrap0-dev,
    libx11-xcb-dev,
    libxcb1-dev,
    libxml2-utils <!nocheck>,
    libxtst-dev,
    systemd [linux-any]
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio
Vcs-Git: https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio
Homepage: http://www.pulseaudio.org

Package: pulseaudio
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
  lsb-base (>= 3.2-13),
  libasound2-plugins [linux-any],
  libpulse0 (= ${binary:Version}),
  pulseaudio-utils
Recommends: rtkit, default-logind | logind, dbus-user-session
Suggests: udev [linux-any], pavumeter, pavucontrol, paprefs, ubuntu-sounds
Description: PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These are some of PulseAudio's features:
 .
   * High quality software mixing of multiple audio streams with support for
     more than one sink/source. May be used to combine multiple sound cards
     into one (with sample rate adjustment).
 .
   * Wide range of supported client libraries. ESD, ALSA, oss, libao and
     GStreamer client applications are supported as-is. Native PulseAudio
     plug-ins are also available for xmms and mplayer.
 .
   * Good low latency behaviour and very accurate latency measurement for
     playback and recording. Ability to fully synchronize multiple playback
     streams.
 .
   * Network transparency, allowing an application to play back or record
     audio on a different machine than the one it is running on.
 .
   * Extensible plug-in architecture with plug-ins for jackd, multicast-rtp
     lirc and avahi, just to name a few.
 .
 This package contains the daemon and basic module set.

Package: pulseaudio-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpulsedsp
Suggests: avahi-daemon, pulseaudio
Breaks: pulseaudio (<< 1:14.2-3~)
Replaces: pulseaudio (<< 1:14.2-3~)
Description: Command line tools for the PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These tools provide command line access to various features of the
 PulseAudio sound server. Included tools are:
 .
   paplay - Playback a WAV file via a PulseAudio sink.
   pacat - Cat raw audio data to a PulseAudio sink.
   parec - Cat raw audio data from a PulseAudio source.
   pacmd - Connect to PulseAudio's built-in command line control interface.
   pactl - Send a control command to a PulseAudio server.
   padsp - /dev/dsp wrapper to transparently support OSS applications.
   pax11publish - Store/retrieve PulseAudio default server/sink/source
                  settings in the X11 root window.

Package: pulseaudio-module-zeroconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon
Description: Zeroconf module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to publish available sinks and sources via
 zeroconf (aka. Avahi, mdns).
 .
 The module is called module-zeroconf-publish.

Package: pulseaudio-module-jack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: jackd modules for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 These modules enables PulseAudio to connect to a jackd daemon.
 .
 The modules are called module-jack-sink, module-jack-source.

Package: pulseaudio-module-lirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lirc module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables the volume of a PulseAudio sink to be controlled when
 buttons of an infrared remote control are pressed (through LIRC).
 .
 The module is called module-lirc.

Package: pulseaudio-module-gsettings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GSettings module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to store additional configuration in GSettings.
 It supersedes the gconf module.
 .
 The module is called module-gsettings.

Package: pulseaudio-module-raop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-module-zeroconf
Description: RAOP module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to stream audio to an Apple Airport Express.

Package: pulseaudio-module-bluetooth
Build-Profiles: <!stage1>
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 5.23)
Recommends: gstreamer1.0-plugins-good (>= 1.19)
Suggests: gstreamer1.0-plugins-bad (>= 1.19)
Description: Bluetooth module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This module enables PulseAudio to work with bluetooth devices, like headset
 or audio gateway.
 .
 The module is called module-bluetooth

Package: pulseaudio-equalizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 python3, python3-pyqt5, python3-dbus.mainloop.pyqt5, python3-dbus
Description: Equalizer sink module for PulseAudio sound server
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package provides an equalizer sink and an interface to configure the
 equalizer, qpaeq.
 .
 The module is called module-equalizer-sink.

Package: libpulse0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio
Description: PulseAudio client libraries
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Client libraries used by applications that access a PulseAudio sound server
 via PulseAudio's native interface.

Package: libpulse-mainloop-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio client libraries (glib support)
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Client libraries used by applications that access a PulseAudio sound server
 via PulseAudio's native interface.
 .
 This package adds support for glib2 client applications.

Package: libpulse-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
  libpulse0 (= ${binary:Version}),
  libpulse-mainloop-glib0 (= ${binary:Version}),
  libglib2.0-dev,
Description: PulseAudio client development headers and libraries
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 Headers and libraries for developing applications that access a PulseAudio
 sound server via PulseAudio's native interface.

Package: libpulsedsp
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio OSS pre-load library
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package provides the pre-load library used to redirect applications
 using OSS through pulseaudio.

=== debian/watch ===
# Control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts=repacksuffix=+dfsg1,dversionmangle=auto \
https://freedesktop.org/software/pulseaudio/releases/pulseaudio-(.*)\.tar\.xz

## pulseaudio 16.1%2Bdfsg1

=== debian/changelog ===
pulseaudio (16.1+dfsg1-2+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 11 Jul 2023 14:18:30 +0800

pulseaudio (16.1+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 15:00:13 -0400

pulseaudio (16.1+dfsg1-1) experimental; urgency=medium

  * Correctly use gbp import to regenerate a dfsg tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 14:11:24 +0200

pulseaudio (16.1-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 13:47:48 +0200

## pulseaudio 16.1+dfsg1

=== debian/changelog ===
pulseaudio (16.1+dfsg1-5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 04 Apr 2024 19:24:23 +0300

pulseaudio (16.1+dfsg1-5) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * cherrypick a fix for a test failure with orc 0.4.38 (Closes: #1067288)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Apr 2024 08:06:33 -0400

pulseaudio (16.1+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Selectively disable libpulsedsp & padsp on 32-bit non-i386 architectures.
    Thanks to Simon McVittie, Steve Langasek (Closes: #1067247)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 15:35:29 -0400

pulseaudio (16.1+dfsg1-3) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * debian/rules:
    - fix a $LIB escaping issue in the pulsedsp-location option which
      is making padsp hit an error (Closes: #1028329)

  [ Kai-Heng Feng ]
  * Add patch to send more initial frames to improve Bluetooth input and output
    (LP: #2007331)

  [ Gioele Barabucci ]
  * Install dbus policy in /usr instead of /etc (Closes: #1032339)

  [ Gianfranco Costamagna ]
  * Build-Depend on liblirc-dev instead of liblircclient-dev (Closes: #1059976)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * Drop obsolete package description reference to GConf
  * Update lintian override info to new format
  * Update standards version to 4.6.2, no changes needed

  [ Gabor Karsay ]
  * Remove unused Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:59:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: pulseaudio
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
+Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
     Felipe Sateler <fsateler@debian.org>,
     Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     meson,
     ninja-build,
     check <!nocheck>,
     desktop-file-utils <!nocheck>,
     dh-exec,
-    doxygen,
-    dpkg-dev (>= 1.17.14),
     intltool,
-    libapparmor-dev [linux-any],
     libasound2-dev [linux-any],
     libasyncns-dev,
     libavahi-client-dev,
@@ -24,51 +20,43 @@
     libcap-dev [linux-any],
     libfftw3-dev,
     libglib2.0-dev,
-    libgstreamer1.0-dev (>= 1.14),
+    libgstreamer1.0-dev,
     libgstreamer-plugins-base1.0-dev,
     libgtk-3-dev,
     libice-dev,
     libjack-dev,
     liblirc-dev,
-    libltdl-dev (>= 2.2.6a-2),
-    liborc-0.4-dev (>= 1:0.4.11),
-    libsamplerate0-dev,
-    libsndfile1-dev (>= 1.0.20),
-    liblircclient-dev,
     libltdl-dev,
     liborc-0.4-dev,
-    libsnapd-glib-dev (>= 1.49),
     libsndfile1-dev,
-    libsoxr-dev (>= 0.1.1),
-    libspeexdsp-dev (>= 1.2~rc1),
+    libsoxr-dev,
+    libspeexdsp-dev,
     libssl-dev,
-    libsystemd-dev [linux-any],
     libtdb-dev,
     libudev-dev [linux-any],
-    libwebrtc-audio-processing-dev (>= 0.2) [linux-any],
+    libwebrtc-audio-processing-dev [linux-any],
     libwrap0-dev,
     libx11-xcb-dev,
     libxcb1-dev,
     libxml2-utils <!nocheck>,
-    libxtst-dev,
-    systemd [linux-any]
-Standards-Version: 4.6.0
+    libxtst-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio
-Vcs-Git: https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio
-Homepage: http://www.pulseaudio.org
+Vcs-Browser: https://salsa.debian.org/pulseaudio-team/pulseaudio
+Vcs-Git: https://salsa.debian.org/pulseaudio-team/pulseaudio.git
+Homepage: https://www.pulseaudio.org
 
 Package: pulseaudio
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
-  lsb-base (>= 3.2-13),
+  lsb-base,
   libasound2-plugins [linux-any],
   libpulse0 (= ${binary:Version}),
   pulseaudio-utils
 Recommends: rtkit, default-logind | logind, dbus-user-session
-Suggests: udev [linux-any], pavumeter, pavucontrol, paprefs, ubuntu-sounds
+Suggests: udev [linux-any], pavumeter, pavucontrol, paprefs
 Description: PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -98,10 +86,10 @@
 
 Package: pulseaudio-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpulsedsp
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpulsedsp [amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hurd-amd64 ia64 loong64 ppc64 sparc64 x32]
 Suggests: avahi-daemon, pulseaudio
-Breaks: pulseaudio (<< 1:14.2-3~)
-Replaces: pulseaudio (<< 1:14.2-3~)
+Breaks: pulseaudio (<< 14.2-3~)
+Replaces: pulseaudio (<< 14.2-3~)
 Description: Command line tools for the PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -166,7 +154,6 @@
  much better latency, mixing/re-sampling quality and overall architecture.
  .
  This module enables PulseAudio to store additional configuration in GSettings.
- It supersedes the gconf module.
  .
  The module is called module-gsettings.
 
@@ -183,9 +170,8 @@
 Package: pulseaudio-module-bluetooth
 Build-Profiles: <!stage1>
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bluez (>= 5.23)
-Recommends: gstreamer1.0-plugins-good (>= 1.19)
-Suggests: gstreamer1.0-plugins-bad (>= 1.19)
+Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
+Recommends: gstreamer1.0-plugins-bad (>= 1.19)
 Description: Bluetooth module for PulseAudio sound server
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
  WIN32 systems. It is a drop in replacement for the ESD sound server with
@@ -226,6 +212,7 @@
  via PulseAudio's native interface.
 
 Package: libpulse-mainloop-glib0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -257,7 +244,8 @@
  sound server via PulseAudio's native interface.
 
 Package: libpulsedsp
-Architecture: any
+Section: libs
+Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hurd-amd64 ia64 loong64 ppc64 sparc64 x32
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed

DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

# Needed for testsuite
export XDG_RUNTIME_DIR = $(CURDIR)/debian/tmp/tmp/xdgruntimedir
export CK_TIMEOUT_MULTIPLIER = 0

ifeq ($(words $(sort $(filter stage1,$(DEB_BUILD_PROFILES)))),1)
  bluez = disabled
else ifneq ($(DEB_HOST_ARCH_OS),linux)
  bluez = disabled
else
  bluez = enabled
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  systemd = disabled
else
  systemd = disabled
endif

# Libs should be in the multi-arch path, but the modules should be in the
# normal directory as pulseaudio is foreign
DEB_MESON_OPTIONS = \
  -Ddoxygen=false \
  -Dx11=enabled \
  -Dhal-compat=false \
  -Dgsettings=enabled \
  -Dgstreamer=enabled \
  -Dbluez5-gstreamer=enabled \
  -Dbluez5=$(bluez) \
  -Dstream-restore-clear-old-devices=true \
  -Dzshcompletiondir=/usr/share/zsh/vendor-completions \
  -Dmodlibexecdir=/usr/lib/pulse-$(DEB_VERSION_UPSTREAM)/modules \
  -Dpulsedsp-location=/usr/\\'$$'LIB/pulseaudio \
  -Dgtk=enabled \
  -Dglib=enabled \
  -Dfftw=enabled \
  -Djack=enabled \
  -Dopenssl=enabled \
  -Dipv6=true \
  -Dsoxr=enabled \
  -Dstream-restore-clear-old-devices=true \
  -Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true) \


PA_MAJORMINOR = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r -e 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- $(DEB_MESON_OPTIONS)

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/tmp/usr/share/apport/package-hooks
	cp $(CURDIR)/debian/apport-hook.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_pulseaudio.py
ifeq ($(DEB_HOST_ARCH_OS),linux)
	mkdir -p $(CURDIR)/debian/tmp/usr/share/alsa/alsa.conf.d
	cp -a $(CURDIR)/debian/pulse.conf \
		$(CURDIR)/debian/tmp/usr/share/alsa/alsa.conf.d
	cp -a $(CURDIR)/debian/pulse-alsa.conf $(CURDIR)/debian/tmp/usr/share/alsa
endif

override_dh_makeshlibs:
	sed 's/PA_MAJORMINOR/$(PA_MAJORMINOR)/' debian/shlibs.local.in > debian/shlibs.local
	dh_makeshlibs --exclude=usr/lib/pulse-$(DEB_VERSION_UPSTREAM)/modules \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/pulseaudio

override_dh_shlibdeps:
	dh_shlibdeps --libpackage=pulseaudio

override_dh_missing:
	dh_missing --list-missing

override_dh_installinit:
	dh_installinit -ppulseaudio --name=pulseaudio-enable-autospawn

override_dh_installdocs:
	dh_installdocs -A NEWS README

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local

## pulseaudio 17.0%2Bdfsg1

=== debian/tests/control ===
Tests: build
Depends: libpulse-dev, build-essential

## pulseaudio 17.0+dfsg1

=== meson_options.txt ===
--- 
+++ 
@@ -99,6 +99,9 @@
 option('bluez5-ofono-headset',
        type : 'boolean',
        description : 'Optional oFono headset backend support (BlueZ 5)')
+option('consolekit',
+       type : 'feature', value : 'auto',
+       description : 'Optional ConsoleKit support')
 option('dbus',
        type : 'feature', value : 'auto',
        description : 'Optional D-Bus support')
@@ -166,7 +169,7 @@
        type : 'feature', value : 'auto',
        description : 'Optional X11 support')
 option('enable-smoother-2',
-       type : 'boolean', value : 'true',
+       type : 'boolean', value : true,
        description : 'Use alternative time smoother implementation')
 
 # Echo cancellation

=== debian/changelog ===
pulseaudio (1:17.0+dfsg1-2ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:13:53 +0000

pulseaudio (1:17.0+dfsg1-2ubuntu2) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 09:59:11 -0400

pulseaudio (1:17.0+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 16:08:08 -0500

pulseaudio (17.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump minimum webrtc-audio-processing
  * Remove patch added to support old webrtc-audio-processing
  * Remove obsolete Depends: lsb-base
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 11:32:02 -0500

pulseaudio (1:17.0+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2093256). Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
  * Drop Debian patch for building against older webrtc:
    - d/p/support-old-webrtc-lib.patch
  * Drop Ubuntu patches applied upstream:
    - d/p/0001-backend-native-Handle-multi-AT-commands-in-a-buffer.patch
    - d/p/395.patch, d/p/795.patch
  * Rebase all Ubuntu patches with gbp
  * Rename libwebrtc-audio-processing-1-dev build-dependency

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 08 Jan 2025 12:27:02 +0100

pulseaudio (17.0+dfsg1-1) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * New upstream version 17.0+dfsg1
  * Drop patches applied upstream
    - daemon/meson.build: Install dbus policy in /usr, not /etc
    - bluetooth: Amend writeout to send more initial frames
  * Re-add git_tests_alignment.patch not included in v17.0
  * Cherry-pick patches to fix UCM-related crashes
    - alsa-ucm: Replace port device UCM context assertion with an error
    - alsa-ucm: Check UCM verb before working with device status
  * Add patch to support old webrtc-audio-processing library
  * Add patch to fix segfault with too many UCM devices

 -- Alper Nebi Yasak <alpernebiyasak@gmail.com>  Wed, 11 Dec 2024 21:27:53 +0100

pulseaudio (16.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.2+dfsg1
    - Fix gstreamer hang when seeking (Closes: #1081707)
  * Drop patch applied upstream
    - d/p/git_tests_alignment.patch
  * Silence lintian errors about custom RUNPATH
  * Fix mismatched lintian-overrides

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 11 Dec 2024 13:35:26 +0100

pulseaudio (1:16.1+dfsg1-5.1ubuntu2) plucky; urgency=medium

  * Backport patches to fix seeking in gstreamer (LP: #2055842)
    - d/p/fix-stream-time-when-stream-starts-paused.patch
    - d/p/fix-time-calculation-by-comparing-timestamps.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Dec 2024 09:27:37 +0100

pulseaudio (1:16.1+dfsg1-5.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
    - Add upstream patch for Lenovo HFP/HSP
      - d/p/0001-backend-native-Handle-multi-AT-commands-in-a-buffer.patch
    - Add upstream patches for newer webrtc 1.0
      - d/p/395.patch, d/p/795-patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jun 2024 09:49:47 +0200

pulseaudio (16.1+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to systemd-dev, fixing FTBFS. (Closes: #1060474)
  * Install systemd masking symlink and udev rule into /usr (DEP17).


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pulseaudio
 Section: sound
 Priority: optional
-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
     Felipe Sateler <fsateler@debian.org>,
     Sebastien Bacher <seb128@debian.org>
@@ -11,8 +12,10 @@
     check <!nocheck>,
     desktop-file-utils <!nocheck>,
     dh-exec,
+    doxygen,
     intltool,
     libasound2-dev [linux-any],
+    libapparmor-dev [linux-any],
     libasyncns-dev,
     libavahi-client-dev,
     libbluetooth-dev [linux-any] <!stage1>,
@@ -28,30 +31,31 @@
     liblirc-dev,
     libltdl-dev,
     liborc-0.4-dev,
+    libsnapd-glib-dev,
     libsndfile1-dev,
     libsoxr-dev,
     libspeexdsp-dev,
     libssl-dev,
+    libsystemd-dev [linux-any],
     libtdb-dev,
     libudev-dev [linux-any],
-    libwebrtc-audio-processing-dev [linux-any],
+    libwebrtc-audio-processing-dev (>= 1.0) [linux-any],
     libwrap0-dev,
     libx11-xcb-dev,
     libxcb1-dev,
     libxml2-utils <!nocheck>,
-    libxtst-dev
-Standards-Version: 4.6.2
+    libxtst-dev,
+    systemd-dev [linux-any]
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pulseaudio-team/pulseaudio
 Vcs-Git: https://salsa.debian.org/pulseaudio-team/pulseaudio.git
-Homepage: https://www.pulseaudio.org
+Homepage: http://pulseaudio.org
 
 Package: pulseaudio
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
-  lsb-base,
   libasound2-plugins [linux-any],
   libpulse0 (= ${binary:Version}),
   pulseaudio-utils
@@ -200,7 +204,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: pulseaudio
 Description: PulseAudio client libraries
@@ -215,7 +218,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PulseAudio client libraries (glib support)
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -247,7 +249,6 @@
 Section: libs
 Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hurd-amd64 ia64 loong64 ppc64 sparc64 x32
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PulseAudio OSS pre-load library
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  systemd = disabled
+  systemd = enabled
 else
   systemd = disabled
 endif
@@ -29,7 +29,6 @@
 # Libs should be in the multi-arch path, but the modules should be in the
 # normal directory as pulseaudio is foreign
 DEB_MESON_OPTIONS = \
-  -Ddoxygen=false \
   -Dx11=enabled \
   -Dhal-compat=false \
   -Dgsettings=enabled \
@@ -38,6 +37,8 @@
   -Dbluez5=$(bluez) \
   -Dstream-restore-clear-old-devices=true \
   -Dzshcompletiondir=/usr/share/zsh/vendor-completions \
+  -Dsystemduserunitdir=/usr/lib/systemd/user \
+  -Dudevrulesdir=/usr/lib/udev/rules.d \
   -Dmodlibexecdir=/usr/lib/pulse-$(DEB_VERSION_UPSTREAM)/modules \
   -Dpulsedsp-location=/usr/\\'$$'LIB/pulseaudio \
   -Dgtk=enabled \
@@ -46,7 +47,10 @@
   -Djack=enabled \
   -Dopenssl=enabled \
   -Dipv6=true \
+  -Dsnap=enabled \
   -Dsoxr=enabled \
+  -Dsystemd=$(systemd) \
+  -Dudev=$(systemd) \
   -Dstream-restore-clear-old-devices=true \
   -Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true) \
 
@@ -70,6 +74,10 @@
 		$(CURDIR)/debian/tmp/usr/share/alsa/alsa.conf.d
 	cp -a $(CURDIR)/debian/pulse-alsa.conf $(CURDIR)/debian/tmp/usr/share/alsa
 endif
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hurd-amd64 ia64 loong64 ppc64 sparc64 x32))
+	dh_install -ppulseaudio-utils debian/tmp/usr/bin/padsp
+	dh_install -ppulseaudio-utils debian/tmp/usr/share/man/man1/padsp.1
+endif
 
 override_dh_makeshlibs:
 	sed 's/PA_MAJORMINOR/$(PA_MAJORMINOR)/' debian/shlibs.local.in > debian/shlibs.local
@@ -78,9 +86,6 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps --libpackage=pulseaudio
-
-override_dh_missing:
-	dh_missing --list-missing
 
 override_dh_installinit:
 	dh_installinit -ppulseaudio --name=pulseaudio-enable-autospawn

=== debian/watch ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # See uscan(1) for format
 
 version=4
-opts=repacksuffix=+dfsg1,dversionmangle=auto \
+opts=repacksuffix=+dfsg,dversionmangle=auto \
 https://freedesktop.org/software/pulseaudio/releases/pulseaudio-(.*)\.tar\.xz
